/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.bausystem.tracer.record;

public enum RecordStatus {

    RECORD("§aan", true, "§cTNT-Tracer muss gestoppt werden"),
    RECORD_AUTO("§aan", true, "§cTNT-Tracer darf nicht aufnehmen"),
    IDLE("§caus", false, "§cAuto-Tracer gestoppt"),
    IDLE_AUTO("§eauto", false, "§aAuto-Tracer gestartet");

    String name;
    boolean tracing;
    String autoMessage;

    RecordStatus(String value, boolean tracing, String autoMessage) {
        this.name = value;
        this.tracing = tracing;
        this.autoMessage = autoMessage;
    }

    public String getName() {
        return name;
    }

    public boolean isTracing() {
        return tracing;
    }

    public boolean isAutoTrace() {
        return this == RECORD_AUTO || this == IDLE_AUTO;
    }

    public String getAutoMessage() {
        return autoMessage;
    }

}
